package com.maintain.business.service;

import com.maintain.business.domain.bo.SysPayLogBo;
import com.maintain.business.domain.vo.SysPayLogVo;
import com.maintain.common.core.domain.PageQuery;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.pay.PayResult;

import java.util.List;

/**
 * 银联支付日志记录Service接口
 *
 * @author liushuai
 * @date 2025-11-10
 */
public interface ISysPayLogService {

    /**
     * 查询银联支付日志记录
     */
    SysPayLogVo queryById(Long id);

    /**
     * 查询银联支付日志记录列表
     */
    TableDataInfo<SysPayLogVo> queryPageList(SysPayLogBo bo, PageQuery pageQuery);

    /**
     * 查询银联支付日志记录列表
     */
    List<SysPayLogVo> queryList(SysPayLogBo bo);

    /**
     * 新增银联支付日志记录
     */
    PayResult insertByBo(Long id, PayResult payResult);

}
